MKNOD(1L)

NAME
mknod - make special files

SYNOPSIS
mknod [options] filename {bcu} major minor
mknod [options] filename p
Options:
[-m mode] [--mode=mode] [--help] [--version]

DESCRIPTION
This manual page documents the GNU version of mknod. mknod creates a FIFO, character special file, or block special file with the given file name. By default, the mode of created files is 0666 minus the bits set in the umask.

The argument after filename specifies the type of file to make:
p for a FIFO
b for a block (buffered) special file
c or u for a character (unbuffered) special file

When making a block or character special file, the major and minor device numbers must be given after the file type.

  OPTIONS

-m, --mode mode
    Set the mode of created files to mode, which is symbolic as in chmod and uses the default mode as the point of departure.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.